Bug 183202 - [PATCH] graphics/exact-image: fix build after swig rename
Summary: [PATCH] graphics/exact-image: fix build after swig rename
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-22 16:00 UTC by Dmitry Marakasov
Modified: 2014-01-13 04:50 UTC (History)
1 user (show)

See Also:


Attachments
exact-image-0.8.9.patch (415 bytes, patch)
2013-10-22 16:00 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2013-10-22 16:00:00 UTC
exact-image does not build after swig package name was changed to swig13 (r327399). Fix the dependency to check for binary file instead of a package.

Port maintainer (bf@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_8 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2013-10-22 16:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dmitry Marakasov freebsd_committer 2014-01-13 04:40:43 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-01-13 04:40:45 UTC
Author: amdmi3
Date: Mon Jan 13 04:40:37 2014
New Revision: 339567
URL: http://svnweb.freebsd.org/changeset/ports/339567

Log:
  - Fix build on 10.x
  - Fix build after swig package name change
  
  PR:		183202
  Submitted by:	amdmi3
  Approved by:	maintainer timeout

Added:
  head/graphics/exact-image/files/patch-api-api.cc   (contents, props changed)
  head/graphics/exact-image/files/patch-frontends-bardecode.cc   (contents, props changed)
Modified:
  head/graphics/exact-image/Makefile

Modified: head/graphics/exact-image/Makefile
==============================================================================
--- head/graphics/exact-image/Makefile	Mon Jan 13 01:31:03 2014	(r339566)
+++ head/graphics/exact-image/Makefile	Mon Jan 13 04:40:37 2014	(r339567)
@@ -12,7 +12,7 @@ COMMENT=	Fast image processing library
 
 LICENSE=	GPLv2
 
-BUILD_DEPENDS=	swig>=1.3.32:${PORTSDIR}/devel/swig13
+BUILD_DEPENDS=	swig:${PORTSDIR}/devel/swig13
 LIB_DEPENDS=	libagg.so:${PORTSDIR}/graphics/agg \
 		libjpeg.so:${PORTSDIR}/graphics/jpeg \
 		libtiff.so:${PORTSDIR}/graphics/tiff \

Added: head/graphics/exact-image/files/patch-api-api.cc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/exact-image/files/patch-api-api.cc	Mon Jan 13 04:40:37 2014	(r339567)
@@ -0,0 +1,11 @@
+--- api/api.cc.orig	2009-06-15 14:39:45.000000000 +0400
++++ api/api.cc	2014-01-13 07:25:57.460488862 +0400
+@@ -909,7 +909,7 @@
+   }
+   
+   std::vector<std::string> ret;
+-  for (std::map<scanner_result_t,int>::const_iterator it = retcodes.begin();
++  for (std::map<scanner_result_t,int,comp>::const_iterator it = retcodes.begin();
+        it != retcodes.end();
+        ++it) {
+     if (it->first.type || it->second > 1)

Added: head/graphics/exact-image/files/patch-frontends-bardecode.cc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/exact-image/files/patch-frontends-bardecode.cc	Mon Jan 13 04:40:37 2014	(r339567)
@@ -0,0 +1,11 @@
+--- frontends/bardecode.cc.orig	2010-06-18 18:02:15.000000000 +0400
++++ frontends/bardecode.cc	2014-01-13 07:31:33.549465639 +0400
+@@ -145,7 +145,7 @@
+           }
+       }
+       
+-      for (std::map<scanner_result_t,int>::const_iterator it = codes.begin();
++      for (std::map<scanner_result_t,int,comp>::const_iterator it = codes.begin();
+ 	   it != codes.end();
+ 	   ++it) {
+ 	if (it->first.type&(ean|code128|gs1_128) || it->second > 1)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"